> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Increment Player Statistic Version

> Resets the indicated statistic, removing all player entries for it and backing up the old values.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |
| StatisticNotFound | 1195 |
| StatisticUpdateInProgress | 1276 |
| StatisticVersionIncrementRateExceeded | 1204 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/IncrementPlayerStatisticVersion
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/IncrementPlayerStatisticVersion:
    post:
      tags:
        - Player Data Management
      summary: Increment Player Statistic Version
      description: >
        Resets the indicated statistic, removing all player entries for it and
        backing up the old values.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |

        | StatisticNotFound | 1195 |

        | StatisticUpdateInProgress | 1276 |

        | StatisticVersionIncrementRateExceeded | 1204 |
      operationId: IncrementPlayerStatisticVersion
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncrementPlayerStatisticVersionRequest'
        description: >-
          Statistics are numeric values, with each statistic in the title also
          generating a leaderboard. When this call is made on a given statistic,
          this forces a reset of that statistic. Upon reset, the statistic
          updates to a new version with no values (effectively removing all
          players from the leaderboard). The previous version's statistic values
          are also archived for retrieval, if needed (see
          GetPlayerStatisticVersions). Statistics not created via a call to
          CreatePlayerStatisticDefinition by default have a
          VersionChangeInterval of Never, meaning they do not reset on a
          schedule, but they can be set to do so via a call to
          UpdatePlayerStatisticDefinition. Once a statistic has been reset
          (sometimes referred to as versioned or incremented), the now-previous
          version can still be written to for up a short, pre-defined period
          (currently 10 seconds), to prevent issues with levels completing
          around the time of the reset. Also, once reset, the historical
          statistics for players in the title may be retrieved using the URL
          specified in the version information (GetPlayerStatisticVersions).
      responses:
        '200':
          $ref: '#/components/responses/IncrementPlayerStatisticVersionResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    IncrementPlayerStatisticVersionRequest:
      description: >-
        Statistics are numeric values, with each statistic in the title also
        generating a leaderboard. When this call is made on a given statistic,
        this forces a reset of that statistic. Upon reset, the statistic updates
        to a new version with no values (effectively removing all players from
        the leaderboard). The previous version's statistic values are also
        archived for retrieval, if needed (see GetPlayerStatisticVersions).
        Statistics not created via a call to CreatePlayerStatisticDefinition by
        default have a VersionChangeInterval of Never, meaning they do not reset
        on a schedule, but they can be set to do so via a call to
        UpdatePlayerStatisticDefinition. Once a statistic has been reset
        (sometimes referred to as versioned or incremented), the now-previous
        version can still be written to for up a short, pre-defined period
        (currently 10 seconds), to prevent issues with levels completing around
        the time of the reset. Also, once reset, the historical statistics for
        players in the title may be retrieved using the URL specified in the
        version information (GetPlayerStatisticVersions).
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        StatisticName:
          description: unique name of the statistic
          type: string
      example:
        StatisticName: headshots
    IncrementPlayerStatisticVersionResult:
      type: object
      properties:
        StatisticVersion:
          allOf:
            - $ref: '#/components/schemas/PlayerStatisticVersion'
          description: version change history of the statistic
      example:
        StatisticVersion:
          StatisticName: headshots
          Version: 2
          ActivationTime: '2016-12-05T10:02:01'
          Status: Archived
          ArchiveDownloadUrl: https://Someurl
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    PlayerStatisticVersion:
      type: object
      properties:
        ActivationTime:
          description: time when the statistic version became active
          type: string
        ArchiveDownloadUrl:
          description: >-
            URL for the downloadable archive of player statistic values, if
            available
          type: string
        DeactivationTime:
          description: >-
            time when the statistic version became inactive due to statistic
            version incrementing
          type: string
        ScheduledActivationTime:
          description: >-
            time at which the statistic version was scheduled to become active,
            based on the configured ResetInterval
          type: string
        ScheduledDeactivationTime:
          description: >-
            time at which the statistic version was scheduled to become
            inactive, based on the configured ResetInterval
          type: string
        StatisticName:
          description: name of the statistic when the version became active
          type: string
        Status:
          allOf:
            - $ref: '#/components/schemas/StatisticVersionStatus'
          description: status of the statistic version
        Version:
          description: version of the statistic
          type: number
          x-actualtype: uint32
      required:
        - Version
        - ActivationTime
      example:
        StatisticName: headshots
        Version: 2
        ActivationTime: '2016-12-05T10:02:01'
        Status: Archived
        ArchiveDownloadUrl: https://Someurl
    StatisticVersionStatus:
      type: string
      enum:
        - Active
        - SnapshotPending
        - Snapshot
        - ArchivalPending
        - Archived
  responses:
    IncrementPlayerStatisticVersionResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/IncrementPlayerStatisticVersionResult'
            example:
              code: 200
              status: OK
              data:
                StatisticVersion:
                  StatisticName: headshots
                  Version: 2
                  ActivationTime: '2016-12-05T10:02:01'
                  Status: Archived
                  ArchiveDownloadUrl: https://Someurl
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Increment Player Statistic Version](/services/playfab/api-references/rest/admin/player-data-management/increment-player-statistic-version.md)
- [Using resettable statistics and leaderboards](/services/playfab/community/leaderboards/tournaments-leaderboards/using-resettable-statistics-and-leaderboards.md)
- [Increment Statistic Version](/api-reference/statistics/increment-statistic-version.md)
- [PFStatisticsIncrementStatisticVersionRequest](/services/playfab/api-references/c/pfstatisticstypes/structs/pfstatisticsincrementstatisticversionrequest.md)
- [PFStatisticsIncrementStatisticVersionAsync](/services/playfab/api-references/c/pfstatistics/functions/pfstatisticsincrementstatisticversionasync.md)
